import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class FlutterMediaScanner {
  static const MethodChannel _channel =
      const MethodChannel('flutter_media_scanner');

  ///[path] is the file path
  ///Here is an example:
  ///File originalFile = File("path/to/file");
  ///List<int> bytes = await originalFile.readAsBytes();
  ///save your file to your desired path
  ///File file = File("desired/path");
  ///await file.writeAsBytes(bytes);
  ///refresh the file system so the file can show in the gallery,
  ///await FlutterMediaScanner.scan(file.path);
  static Future scan(String path) async {
    if (Platform.isAndroid) {
      await _channel.invokeMethod('scan', {"path": path});
    }
    return;
  }
}
